Skip to main content
POST
/
v1
/
search
Semantic search (body)
curl --request POST \
  --url https://api.clipping.cc/v1/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "q": "<string>",
  "top_k": 123,
  "collection_id": "<string>",
  "reporter_id": "<string>",
  "item_id": "<string>",
  "source_type": "<string>"
}
'
{
  "q": "<string>",
  "count": 123,
  "hits": [
    {
      "chunk_id": "<string>",
      "score": 123,
      "item_id": "<string>",
      "source_type": "<string>",
      "source_id": "<string>",
      "text": "<string>",
      "start_seconds": 123,
      "end_seconds": 123,
      "collection_ids": [
        "<string>"
      ],
      "reporter_id": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.clipping.cc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key: Authorization: Bearer ck_live_…

Body

application/json
q
string
top_k
integer
collection_id
string
reporter_id
string
item_id
string
source_type
string

Response

Results ordered by score.

q
string
count
integer
hits
object[]